com.dlsc.flexgantt.model.calendar

## Class HolidayCalendarEntry

- java.lang.Object
- - com.dlsc.flexgantt.model.calendar.AbstractCalendarEntry
  - - com.dlsc.flexgantt.model.calendar.HolidayCalendarEntry

- All Implemented Interfaces:
    ICalendarEntry, Comparable<AbstractCalendarEntry>

      public class HolidayCalendarEntry
      extends AbstractCalendarEntry

  A calendar entry implementation for holidays. Holidays can be specific for a certain year (floating) or they can be annual (e.g. December 31st).
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HolidayCalendarEntry(ITimeSpan span, boolean annual)` Constructs a new holiday calendar entry.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAnnual()` Determines whether the holiday is a floating or an annual holiday.

    - ### Methods inherited from class com.dlsc.flexgantt.model.calendar.AbstractCalendarEntry

      `compareTo, getTimeSpan, setTimeSpan`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HolidayCalendarEntry

          public HolidayCalendarEntry(ITimeSpan span,
                                      boolean annual)

      Constructs a new holiday calendar entry.
      Parameters:
        `span` - the calendar entry's time span allocation
        `annual` - a flag indicating whether the holiday is a floating or an annual holiday
      Since:
        1.0

  - ### Method Detail

    - #### isAnnual

          public boolean isAnnual()

      Determines whether the holiday is a floating or an annual holiday. Floating holidays can change from year to year. Annual holidays always have the same date (e.g. December 31st).
      Returns:
        TRUE if the holiday is an annual holiday (always on the same date)
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.